Update Member Record Status

Update the status of a disciplinary record.

PATCH https://api.sonorancms.com/v2/community/disciplinary/records/11111111-1111-1111-1111-111111111111/status

Rate limit: 18 requests per minute

Authenticated v2 endpoints are rate limited per credential rather than per IP address.

Update the status of a disciplinary record.

Route Parameters

| Name | Type | Required | Description |

| --- | --- | --- | --- |

| recordId | string (uuid) | Yes | Target recordId. |

Request Body

| Name | Type | Required | Description |

| --- | --- | --- | --- |

| status | boolean | Yes | See example request for the shape. |

Example Request

local Sonoran = require("sonoran")

local sonoran = Sonoran.createClient({
  product = Sonoran.productEnums.CMS,
  apiKey = "YOUR_API_KEY",
  communityId = "YOUR_COMMUNITY_ID",
  defaultServerId = 1,
  timeoutMs = 30000,
})

local recordId = "00000000-0000-0000-0000-000000000000"
local payload = {
  ["status"] = true
}

local response = sonoran.cms:setDisciplinaryRecordStatusV2(recordId, payload)

if response.success then
  print(response.data)
else
  print(response.reason)
end

Response

The data array contains the updated disciplinary record row(s) returned by the update query. The endpoint is reused for points, reason, and status updates.

Last updated

Was this helpful?